DL_SchemeOptionsBase< T1, T2 > Struct Template Reference

Discrete Log (DL) scheme options. More...

`#include <pubkey.h>`

## Public Types

typedef T1 | AlgorithmInfo
typedef T2 | GroupParameters
typedef GroupParameters::Element | Element

## Detailed Description

template<class T1, class T2>
struct DL_SchemeOptionsBase< T1, T2 >

Discrete Log (DL) scheme options.

Template Parameters

  T1 | algorithm information
  T2 | group parameters for the scheme

Definition at line 1905 of file pubkey.h.

## Member Typedef Documentation

## AlgorithmInfo

template<class T1 , class T2 >

typedef T1 DL_SchemeOptionsBase< T1, T2 >::AlgorithmInfo

Definition at line 1907 of file pubkey.h.

## GroupParameters

template<class T1 , class T2 >

typedef T2 DL_SchemeOptionsBase< T1, T2 >::GroupParameters

Definition at line 1908 of file pubkey.h.

## Element

template<class T1 , class T2 >

typedef GroupParameters::Element DL_SchemeOptionsBase< T1, T2 >::Element

Definition at line 1909 of file pubkey.h.

The documentation for this struct was generated from the following file:

- pubkey.h